Changelog PhotoQt - Copyright (C) 2011-2026, Lukas Spies (Lukas@photoqt.org), License: GPLv2 (or later)
----------------------------------------------------------------------------------------------------------

Release 5.4.1 - 2026-07-31
----------------------------
- improve: better detection of maximum texture limit
- improve: code structure of C++20+ code
- fix: prevent crash when certain formats are not write-supported by local ImageMagick/GraphicsMagick
- fix: compilation with ReSVG with Qt-specific headers not available
- fix: don't skip over any ImageMagick/GraphicsMagick suffixes
- fix: proper remembering position/scale/mirror of images
- fix: orientation handling of motion photos
- fix: setting up of PhotoQt when passed-on image takes slightly longer to load

Release 5.4 - 2026-06-24
----------------------------
- add: mj2 image format
- improve: rework image plugin handling including more fine-grained format/plugin management
- improve: more efficient filtering of key/mouse events
- improve: widen use of QHash and QSet for performance critical code
- improve: general performance improvements, better safety handling, and tweaks to all C++ code
- improve: system extensions are always trusted automatically
- improve: improve performance of loading extensions
- improve: extension API is now more flexible and powerful
- improve: screenshots for fake transparency only taken when needed and properly cleaned up at session end
- improve: actually perform requested import of backup not until next startup
- improve: more robust scroll manager with new debug statements
- improve: more reliable and better archive handling
- improve: show more detailed error image on failure
- improve: figure out maximum texture size and ensure panoramas fall within limit
- improve: zoom/scale handling for all thumbnails (filedialog and bar)
- improve: extend and improve libsai image plugin
- improve: when calculating string widths use proper font metrics
- improve: when requesting a folder in the file dialog that does not exist, show proper error message
- improve: address all issues and most warnings identified by qmllint
- improve: address clazy recommendations
- improve: replace deprecated Qca with direct calls to OpenSSL
- improve: hide footer in integrated UI when status info disabled
- hide footer and menu bar when window put into fullscreen
- fix: execution with Qt 6.4/6.5
- fix/improve: jpeg2000 when using openjasper does not like multi-threading (would crash)
- fix: the headers in the favorites column of the file dialog should never be highlighted
- fix: proper exception handling with ffmpegthumbnailer API
- fix: runtime localization change
- fix: certain configuration combinations might not show all thumbnails in thumbnail bar
- fix: height of menu items when hidden/shown at runtime
- fix: zooming to cursor position with sidebar on the left
- fix: proper smoothing of scaled down images
- fix: very small zoom speeds can cause zoom to get stuck
- fix: entering specific zoom level did not work
- fix: special actions are only considered when such an item is actually visible
- fix: image caching with associated color profile information
- fix: handling of address text editing in file dialog
- fix: only ever allow checking one option in the thubmnail bar settings context menu for image option
- fix: faulty thumbnail image in tooltip in file browser
- fix: Windows: don't lock file by properly releasing property store after use

Release 5.3 - 2026-05-11
----------------------------
- add: new photo sphere renderer
- add: ratings feature for files
- add: enter exact zoom level
- add: filedialog thumbnail size follows global thumbnail size
- add: wizard on update performs simple self-test
- add: compile time option to use ffmpegthumbnail API directly for video thumbnails
- add: extensions: add custom public key for extension verification
- add: extensions: also verify built shared library with compile-time option to exclude libraries
- add: extensions: extend extensions API
- improve: better performance of all image plugins
- improve: motion photo respects video backend selection
- improve: during video playback fully hide controls when not needed
- improve: better performance of loading archives
- improve: faster extraction of motion photo video
- improve: new spin box for numeric input
- improve: better interpolation handling with more user facing controls
- improve: zoom 'snaps in' at 100% and at the default scale
- improve: catching shortcut for active window
- improve: CMake now also informs explicitly exactly which options failed to be found
- fix: localize all user facing parts of extensions
- fix: don't force-hide thumbnails when changing images
- fix: check for whether 'delete' window is visible could fail
- fix: rotation handling for motion photo
- fix: don't restrict precision of default scale factor
- fix: reverse slider for setting slideshow animation speed
- fix: context menu: fix height of dynamic entries
- fix: broken mirror/rotation handling for normal images
- fix: disabling global animation did not disable zoom animation
- fix: tagging faces no longer reloads image immediately each time
- fix: disable icns format for DevIL backend to avoid potential crash
- fix: natural sorting on systems with certain locales
- fix: properly exclude archives within archives
- fix: potential erroneous 'loading' indicator when switching archives


Release 5.2 - 2026-02-20
----------------------------
- add: controls for ignoring/limiting large archives
- add: customizable sort order for folder thumbnails
- improve: handle different screen scale factors for different screens on Wayland
- improve: interpolation of normal images, both large and small
- improve: filter not applied if no matches, showing notification instead
- improve: only ever fully load one of the file views in the file dialog
- improve: mouse events also captured on empty area around files in file dialog
- improve: show busy indicator while loading large archives
- improve: better information in status bar when in viewer mode
- improve: handling of modal windows/elements
- fix: building with ZXing-C++ 3.x
- fix: scroll to thumbnail when PhotoQt started with an image
- fix: don't load same archive more than once concurrently, keeping interface responsive
- fix: setting/previewing custom accent colors
- fix: width of slider in slideshow settings
- fix: don't apply Exif orientation twice with any image plugin
- fix: don't set up file view twice at startup
- fix: don't always load image sizes in file dialog unless needed
- change: removed support for FreeImage


Release 5.1 - 2026-01-16
----------------------------

- add: virtual folders for browsing a selection of files and folders together
- add: find/search feature (including 'find next' shortcuts)
- add: use Qt's built-in XML by default with pugixml opt-in replacement
- change: extensions need to be built separately
- improve: all image plugins check for orientation metadata
- improve: enable thumbnail sizes up to 4000 pixels
- improve: slight visual improvements
- improve: changing network shares behavior is immediately reflected in file dialog
- improve: localized date/time string for metadata (thanks to @chenxiaolong)
- improve: fail gracefully when OpenGL fails for photo spheres
- fix: building with Qt 6.4
- fix: building and using PhotoQt with QtLocation/QtPositioning disabled
- fix: thumbnail bar width when centering on active thumbnail
- fix: delete popup window now properly styled
- fix: when location is not remembered default to home or custom folder
- fix: respecting FitInWindow and PreserveZoom settings
- fix: changing GPS map from settings
- fix: prevent concurrent writes to QMap to avoid (rare) crashes
- fix: windows portable: accept paths with special characters
- fix: sizing image when started with image and with thumbnail bar kept visible
- fix: loading metadata when started with image


Release 5.0 - 2025-12-23
----------------------------

- improve: also detect ctrl modifier only shortcut
- improve: disabling thumbnails in file dialog also disabled folder thumbnails
- fix: missing COMPONENTS keyword and find_package() call in CMakeLists
- fix: scale detection for archives
- fix: archives with documents uses properly styled combobox now
- fix: recording trashing files to facilitate undoing
- fix: opening files by passing relative path to portable Windows version
- fix: reporting resolution of images
- fix: fit-to-zoom with mixed folders


Release 5.0-beta2 - 2025-12-17
----------------------------

- improve: dropping a file/folder on PhotoQt loads the respective path
- improve: detect alt/shift modifiers pressed on their own
- improve: extensions are identified by id that incorporates their path
- improve: replace slider/spinbox combo by new advanced slider
- improve: interpolation threshold now based on window size instead of fixed value
- improve: modern interface uses fully custom button again
- improve: text width in settings manager capped at max width to improve readability
- improve: thumbnail edge handling when switching to integrated interface
- fix: highlight marker in select boxes in settings manager
- fix: respect all command line flags at startup
- fix: proper use of palette for proper theming on all platforms
- fix: file dialog opens at proper folder when PhotoQt opened along with image
- fix: browsing and viewer mode for archives/documents
- fix: building with extensions support disabled
- fix: alignment and styling of radiobutton and checkbox
- fix: all text now follows system colors
- fix: add missing scroll manager to settings manager
- fix: thumbnail scrolling with active thumbnail kept in center
- fix: message boxes would sometimes be shown behind a window
- fix: hiding entries in context menu properly removes the entry from view
- fix: extension: uploading images to imgur.com (anonymously) works again
- fix: missing reset buttons in settings manager
- fix: reset buttons in settings manager of hidden sections were not hidden
- fix: properly style text area
- fix: viewer mode tool button in integrated interface


Release 5.0-beta1 - 2025-11-28
----------------------------

- Full reworking of code basis for better modularisation
- Two interface variants: modern as before) and integrated (new)
- More consistent interface styling
- Support for extensions with various features converted to extensions
- Touching up of all colors and better accent color handling
- Reworked settings manager for better structure and easier discoverability of options
- Initial support for SAI images using libsai
- Improved shortcuts engine and manager
- New shortcuts: sibling folders
- Setting to disable all animations globally
- Optional support for native file dialog
- Better thumbnail scroll handling
- Additional smaller minimap variant
- Startup wizard shown after update and fresh install
- Faster interface construction with smart loaders for delaying expensive operations
- Better and more robust handling of CMake options
- FreeImage compile option now off by default
- QtPDF compile option now on by default in favour of Poppler
- Proper handling of XDG_ACTIVATION_TOKEN on Wayland
- Navigating up a folder in the file dialog pre-selects previous folder
- Add quit shortcut (Ctrl+Q) to file dialog
- Moving from image view to folder view pre-selects currently viewed image
- Deleting a file no longer results in blank screen under certain circumstances
- Improved speed of loading folders with large number of archives
- Workaround for high-resolution scrolling on Wayland when used for shortcut


Release 4.9.2 - 2025-06-26
----------------------------

- add: window buttons can follow accent color
- add: option to improve scroll speed in file browser and settings
- add: option to hide exit button for archive and document viewer
- add: support for compressed TAR archives
- add: option to automatically enter archives, comic books and/or documents
- add: shortcuts to directly jump to the next/previous archive/document
- improve: delay loading UI for faster and smoother experience
- improve: more reliable detection of when an image changed
- improve: file browser preserves its scroll position when folder content changes
- improve: localize accent colors
- improve: storing maximized/normal window state
- improve: restructuring of code
- improve: better aot statistics
- improve: turn various c++ classes into proper QML singleton
- improve: command line parsing and handling at startup
- fix: don't load image twice at startup
- fix: remember window geometry
- fix: don't load folder contents during startup when image passed on
- fix: Ken Burns slideshow effect
- fix: localize interfaces of certain actions
- fix: thumbnail bar not showing all thumbnails when varying widths are used
- fix: showing scaled down image when not needed (unnecessary interpolation)
- fix: cache property for animated images
- fix: janky scrolling in thumbnail bar
- fix: handling of pinches to control zoom in file browser
- fix: Ctrl+Wheel zoom in file browser
- change: remove blur background option - slow and unreliable
- change: on Linux temporarily disable Qt plugin support for jpx, icns, j2k, jpc files (causes crash)


Release 4.9.1 - 2025-05-06
----------------------------

- fix: changing integer settings in settings manager no longer result in fixed value of 1
- fix: don't reset accent color when language is changed
- fix: focus on current thumbnail when folder is loaded
- fix: scrolling thumbnails with certain settings
- fix: adding shortcuts does no longer override existing shortcut groups
- fix: quick actions preserves relative position until manually moved
- fix: never overlap quick actions, status info, and window buttons
- fix: properly hide window buttons that are shown on top with no other element opened
- fix: maximizing/restoring window through status info works properly again
- fix: make sure necessary directories exist at each start up
- fix: don't attempt to open advanced sorting with nothing loaded blocking interface
- fix: blur area misplaced when switching between fullscreen/windowed mode
- fix: status info respects font size setting
- fix: keep edge actions active no matter the image margin
- fix: recalculate default properties when image margin is changed
- fix: arrow/text location when nothing is loaded move up when thumbnail is always visible
- fix: ensure unit tests are working
- fix: compiling PhotoQt with photo spheres disabled
- improve: enabling quick settings in settings manager immediately shows quick actions
- improve: make thumbnail flick velocity depend weakly on thumbnail size
- improve: thumbnail magnifying highlight effect properly slides inactive thumbnails behind current thumbnail
- improve: increase width of context menus if any item contains text that is too long
- improve: revert handling of interpolation for small images to pre-4.9 behavior
- improve: implementation of formalized pre-release testing checklist
- windows: fix: show title bar and min/max buttons when window is shown on top


Release 4.9 - 2025-04-23
----------------------------

- add: file dialog: masonry layout for file view
- add: new quick actions: floating element with shortcuts for several actions to manipulate current image
- add: hardcoded reset shortcut (Ctrl+Alt+Shift+R) to reset PhotoQt to initial default categories
- add: settings manager: reset individual settings group to its defaults
- add: option (on by default) to always exclude network shares from any sort of caching/preloading
- add: new shortcuts to flick images around, change existing moveImage shortcut to move images more statically
- improve: much improved touch handling, including various touch gestures
- improve: file view: grid layout always extends across the full width
- improve: fully customizable integrated window buttons
- improve: rate limit notifications to 1 per second
- improve: new delete/move file icons
- improve: prefer singleton classes over far-reaching id accesses in parts
- improve: more resilient settings handling
- improve: change setting to disable interpolation for small images to images smaller than window size
- improve: rework fileview structure to be more efficient
- improve: Wayland: optionally integrate subset of code from wayland-info to detect screen scaling factor
- improve: behind the scenes preparation for extensions structure (to come soon)
- improve: desktop file: add missing image/x-icns mimetype
- improve: install scripts for Windows
- fix: fit small images into window
- fix: loading images with certain special characters in filenames
- fix: file view: some times mouse hover events would stop being registered
- fix: changing custom context menu entries at runtime no longer randomly orders context menu
- fix: remove large empty gaps in context menu with certain actions disabled
- fix: always ensure to set certain image properties only (and always) if image is main image
- fix: sometimes at the end of a pinch by touchscreen the image would disappear altogether
- fix: closing popped out filedialog window properly records it as closed


Release 4.8.1 - 2025-02-13
----------------------------
- add: image formats: bmq, cine, cs1, dxo, jfif, obm, pdd, pxr, qtk, r3d, rdc, rwz, sti, x3f
- add: status info: option to position at left, center, or right
- add: window buttons: show navigation buttons only in fullscreen
- add: window buttons: position navigation buttons at left or right of window buttons
- add: make font weight adjustable
- add: windows: sample vcpkg.json file
- add: windows: tweaks for portable version
- improve: use better image engine to load photo sphere images
- improve: changing window size immediately resizes main image
- improve: hide metadata/mainmenu/thumbnails when window being resized
- improve: hide metadata/mainmenu/thumbnails when mouse left window for more than 1s
- improve: harden Qt image reader
- improve: file dialog: also include squashfs type (e.g., snaps) under temporary devices
- improve: better and more reliable libvips plugin
- fix: file dialog: toggling radio buttons in settings menu
- fix: popping out main menu and metadata
- fix: popped out metadata only does window resizing
- fix: photo sphere exit button not overlaying everything
- fix: unit tests
- fix: building with Qt 6.4
- fix: dragability and positioning of controls for photo spheres, archives, documents, videos
- fix: enter photo sphere manually even without metadata
- fix: hiding window buttons on timeout
- fix: fully hide status info including shaddow
- fix: settings manager: react to popout changes
- fix: localization of many strings
- change: renamed CMake options to be more consistent


Release 4.8 - 2025-01-25
----------------------------
- add: zoom and pich to mouse/pinch position
- add: touchpad pinches for zooming images
- add: load multiple folders into main view both from command line and filedialog
- add: thumbnails: variable width
- add: file dialog: option to remember selections of folders
- add: map explorer add context menu for images
- add: map explorer: show current location at bottom right of map with context menu for copying location to clipboard
- add: map explorer: add context menu to map for custom location
- improve: file dialog: pressing shift switches trash function to permanently delete, including entry in context menu
- improve: notification of failed application of color profile includes filename
- improve: file dialog: tooltip and contextmenu handling
- improve: file dialog: add context menus to breadcrumbs
- improve: map explorer: performance of loading images
- improve: attempt to compute device pixel ratio on Wayland using wayland-info
- improve: mainmenu: vertically resizable and movable
- improve: thumbnails: bar also visible with no files loaded but showing empty message
- improve: add context menu to all buttons
- improve: Escape always only closes context menu, combo box popup, or cancel slider/spinbox edit mode
- improve: windows installer always removes old files first
- improve: windows installer with silent mode
- fix: avoid random crashes when switching images very quickly
- fix: file dialog: remove selection every time folder changes
- fix: file dialog: shift+click always selects range
- fix: thumbnails: scrolling bar when shown at left/right edge
- fix: deleting last file properly resets interface
- fix: deleting file no longer gets stuck with busy loader
- fix: map explorer: avoid crashes with many images loaded
- fix: settings manager: show button to select custom accent color
- fix: loading images at full scale at startup for device/pixel ratios other than 1
- fix: load archive with unicode path on Windows
- other: PhotoQt added to Windows app store


Release 4.7 - 2024-11-29
----------------------------
- change: raise minimum required Qt version to 6.4 (6.5+ recommended)
- add: fully custom accent color
- add: make basis directory for thumbnail cache configurable
- add: add option to zoom image in absolute percentage points
- add: allow right edge action to be changed
- add: snap package
- improve: Escape key closes context menu, spinbox edits, and combobox popups
- improve: hide temporary storage devices in file dialog
- improve: On windows the favorites in the file dialog are stored in app specific directory
- improve: tweak QML code to allow for better customizations (based on qmllint and qmlsc)
- improve: copying image/page of archive/document to clipboard copies only displayed file/page
- improve: image scale respects pixel density of screen (old behavior available in settings)
- improve: better error checking application of color profiles with LCMS2
- improve: context menu grouping
- improve: disable minimap when inside photosphere
- improve: better feature support in Appimages
- fix: handling of file uris
- fix: hidden mouse cursor in map explorer
- fix: path to maplocation icon
- fix: breadcrumbs don't pass right click menu to background
- fix: minimap uses thumbnail image instead of full image
- fix: short stutter shortly after video starts playing
- fix: always show bookmarks header in file browser
- fix: switching between name/natural name sorting without restarting
- fix: setting up images during slideshow with some effects
- fix: remember maximized/normal state of main window
- fix: ensure to trigger left edge action with mouse at far left edge
- fix: video playback in Flatpak package
- fix: icons on Windows
- fix: uninstaller speed on Windows


Release 4.6 - 2024-08-01
----------------------------
- add: new image display engine, faster and more reliable
- add: preloading of images in background
- add: cropping images
- add: undo feature with support for undoing moving files to trash
- add: support for native notifications
- improve: custom positioning of integrated notifications
- improve: during ken burns slideshow effect, images with odd dimensions are shown with image faded out along the sides
- fix: closing popped out settings manager no longer blocks main interface
- fix: videos no longer loop infinitely during slideshows
- fix: music does not pop up shortly between two consecutive video files in a slideshow
- fix: always hide color space information when no color profile applied
- fix: applying embedded color profiles to images in RGBA64 format
- fix: applying embedded color profiles to images in formats unknown to LCMS2
- fix: switching images during slideshows


Release 4.5 - 2024-05-13
----------------------------
- add: context menu entry to force reload any thumbnail
- add: space key can be forced to play/pause motion photo videos
- add: autoplay option for motion photo videos
- add: allow settings manager to be non-modal
- add: shortcut to trash file with confirmation
- improve: faster startup performance
- improve: initial image to be loaded is shown without animation
- improve: slideshow: Ken Burns slideshow effect
- improve: slideshow: proper handling of all file types
- improve: slideshow: better music support
- improve: slideshow: proper video handling
- improve: slideshow: don't show 'busy' indicator during slideshows
- improve: slideshow: left/right arrow keys move to next/previous image
- improve: photo spheres are loaded as spheres by default
- improve: photo spheres show a short panning animation when loaded
- improve: photo spheres integrate better into interface
- improve: non-modal behavior of file dialog and map explorer
- improve: backspace key in file dialog goes back in history
- improve: smoother zoom in file dialog
- improve: cache subfolder for breadcrumbs
- improve: handling of popout windows
- improve: faking background blur on older versions of Qt6 uses a proper color now
- fix: direction for applying color profiles using LittleCMS
- fix: loading images with embedded color profiles that report as ARGB32 format
- fix: listing files in archives with non-lower case suffix
- fix: upper/lower cases of suffixes in archives handled properly
- fix: all entries in context menu in file dialog trigger their action
- fix: use application icon in Wayland
- fix: properly pause video when switching away
- fix: 'busy' indicator fills full window
- fix: folder suggestions for path edit in file dialog
- fix: thumbnail label follows thumbnail when shown along left edge of window
- fix: import of backup of configuration
- fix: filter by image resolution
- fix: advanced sort of folder by dates
- fix: heic/heif images might not report proper orientation in exif tags -> ignore
- fix: advanced spinboxes properly propagate their value
- fix: using PhotoQt with MPV 0.38+
- fix: loading images at full scale
- fix: fitting image to window size setting for large images


Release 4.4 - 2024-04-04
----------------------------
- add: color profile management including applying embedded color profiles
- add: accent colors to make PhotoQt a little more colorful
- add: interactive minimap with currently visible area highlighted
- add: lossless zomm of SVG images
- add: document and archive navigation even without viewer modus activated
- add: left/right arrow keys switch between frames of animated image, space plays/pauses animation
- add: auto-save and compact feature for settings manager
- add: context menu for various floating elements to access some quick settings
- add: shadow effect behind floating elements
- add: small play/pause buttons for live/motion photos
- add: lock icons to main menu to lock/unlock zoom/rotation/mirror
- add: option to have background of PhotoQt fully transparent
- improve: file type selection in file dialog allows for multiple selection
- improve: closing context menus can happen without triggering other actions
- improve: better layout and settings handling of settings manager
- improve: simplified settings menu in file dialog
- improve: streamline startup background message
- improve: better spinbox for selecting numbers
- improve: slider with opacity less than 1
- improve: split up lock feature for the different categories
- improve: reduces minimum window size with interface adapting better to smaller sizes
- improve: faster histogram data loading
- improve: more tooltips as help text
- fix: compilation with zxing-cpp v1.4
- fix: don't use *Magick for video files
- fix: building PhotoQt with both ImageMagick 6 and 7 installed
- fix: status info has solid background without (broken) blur
- fix: converting keys to string when listening to shortcuts uses same code as in settings manager
- fix: filedialog settings missed entry for muted preview colors
- fix: in settings manager when selecting new action for shortcut group, pressing Escape closes subwindow only
- fix: showing status info and window buttons when cursor near top edge


Release 4.3 - 2024-02-29
----------------------------
- add: support for detecting QR and bar codes (using ZXing)
- add: shortcut to jump 5s forwards/backwards in videos
- add: motion/live photos react to play/pause shortcut
- add: notification popups for various actions without clear visual feedback
- add: touch-and-hold opens context menu
- add: implement missing mirroring for Qt Video element
- add: animate mirroring of images/videos
- improve: clarify and streamline layout of settings manager
- improve: clicking a value in metadata element copies value to clipboard
- fix: proper handling of link/shortcut files on all platforms
- fix: show videos of motion/live photos again when loading an image subsequent times
- fix: motion/live photos respect orientation stored in metadata
- fix: skip windows thumbnail cache for now
- fix: correctly compute fitted size for (re-)svg provider
- fix: proper handling of Windows network paths
- fix: remove duplicate down array in bread crumbs when path ends with slash
- fix: fix loading files with CJK characters in filename or path on Windows
- fix: file dialog no longer pops up when application window is made very small


Release 4.2 - 2024-01-18
----------------------------
- add: support for Google Motion Photos and Apple Live Photos
- add: support for photo spheres including 360 degree views using equirectangular projection
- add: editable path in file dialog
- add: Qt video element
- add: option to apply same changes (zoom, position, rotation) to next image
- add: when window decoration is disabled custom window handles are available for moving/resizing window
- improve: touchscreen handling
- improve: video management
- improve: use reSVG for all SVG icons everywhere (if enabled)
- improve: RAW images load embedded thumbnail when available
- improve: RAW images can use embedded thumbnail if as large as actual image
- improve: adjust folder icon in list view for small zoom levels
- improve: hide map related items completely when location support disabled
- improve: add filename to window title
- improve/fix: safeguards for initial scaling and positioning of images
- fix: degraded image quality when close to 100% zoom
- fix: use any mouse button for shortcuts
- fix: disabled lift-up highlight for thumbnails don't affect thumbnail bar
- fix: mouse wheel triggers shortcut once per movement
- fix: use Escape key for custom shortcuts
- fix: actually hide status info when disabled
- fix: detection of other mouse buttons when click on image for dragging
- fix: drag-and-drop for bookmarks in file dialog
- fix: proper loading of images inside archives with libarchive


Release 4.1 - 2023-12-20
----------------------------
- add: restore default settings/shortcuts from settings manager
- add: export/import configuration from settings manager
- add: support loading AVIF format with ImageMagick/GraphicsMagick
- add: missing fit-to-window feature support
- improve: apply changes to 'load at actual size' setting immediately
- improve: reduce minimum width of places column in file dialog
- improve: add vertical scrollbar to file view
- improve: load any supported image type inside of archives
- fix: loading image in current working directory
- fix: reloading folder when content changes
- fix: use middle button for shortcuts
- fix: visibility and alignment of log/debug message window
- fix: disabling image animations in settings manager
- fix: icons used for Windows build
- fix: store layout of file view


Release 4.0.1 - 2023-12-15
----------------------------
- fix migrating settings table on upgrade in certain circumstances


Release 4.0 - 2023-12-14
----------------------------
- PhotoQt now based on Qt6 (requiring at least 6.2+, 6.4+ recommended)
- updated settings manager
- updated export feature
- updated file dialog
- updated image viewer engine (image now snaps in place)
- updated thumbnails (and faster)
- updated exiv2 analysis
- updated main menu
- updated map view
- updated file management
- updated advanced sorting feature
- updated chromecast manager
- updated slideshow handling
- updated wallpaper feature
- updated context menu
- updated histogram
- updated notifications feature
- numerous bug fixes and general improvements
- restructured code basis for easier maintenance and higher reliability


Release 3.4 - 2023-10-06
----------------------------
- add: resvg support for rendering SVG files
- add: thumbnails/filedialog: show thumbnails of very small images at the original size
- add: notification when deleting image without confirmation
- add: cmake flag to disable webp support (webp support is enabled by default)
- add: missing settings elements to connect PhotoQt with imgur.com account
- improve: shortcuts: duplicate shortcuts automatically reasigned with undo button
- improve: remove all modal popups
- improve: update imgur element with updated element from qt6 port
- improve: relace unavailable element with notification element from qt6 port
- improve: port qt6 element to export images to different format to qt5 version
- improve: Windows: allows any file to be set as wallpaper
- fix: map explorer: clicking on images to focus on their location
- fix: setting internal commands as part of custom shortcut commands
- fix: fileview: delete image through rightclick without selecting first
- fix: thumbnail provider caches thumbnail images properly
- fix: Windows: white flashing window on startup mitigated
- fix: Windows: loading of storage devices now happens properly


Release 3.3 - 2023-06-15
----------------------------
- add: all new shortcuts engine
- add: floating element to show location of current image on map
- add: map explorer to show all images in current folder with location data on interactive map
- add: reset button to restore initial stage of main image
- add: setting to switch to moving the image by mouse wheel instead of using it for shortcuts
- add: shortcut actions to move image left/right/up/down
- add: shortcut actions to got to edges of current image
- add: setting to adjust autohide of mouse cursor
- add: allow wheel left/right movement as mouse gestures for shortcut
- add: allow selection of OpenGL backend in settings
- add: option to load PDF documents with QtPDF instead of poppler
- add: animate arrows and add small click animation on startup
- improve: unify look and feel of various elements throughout application
- improve: startup default to mixed setup (integrated and popped out) as default option
- improve: support any image format as icon for context menu entry
- improve: listening to global mouse movements, fixes overloading event system
- improve: don't show context menu entry to add location to favorites without pugixml available
- improve: Escape key in file dialog with files selected only removes selection
- improve: installing pychromecast with cmake is now opt-in option
- improve: crash prevention when scanning for chromecast devices with pychromecast
- fix: finding/linking against (optional) mpv source files
- fix: proper url encoding for favorite locations
- fix: compilation with Exiv 0.28.0
- Windows: fix fullscreen application window


Release 3.2 - 2023-05-11
----------------------------
- add: advanced sorting by dates stored in exif meta data
- add: more options for highlighting thumbnails in thumbnail bar
- add: option to disable thumbnail tooltips
- add: file dialog: looping thumbnails of images inside subfolders
- add: file dialog: select files and folders, add file operations using global clipboard (incl. shortcuts)
- add: file dialog: thumbnails are by default shown scaled and cropped to fit
- add: file dialog: typing a string finds next matching file
- improve: more aggressive freeing of memory when resetting PhotoQt
- improve: validation check also checks directories
- improve: detect mouse leaving application window and hide elements (main menu, meta data, etc.)
- improve: reliability of loading and displaying image resolution
- improve: trash handling on Linux following freedesktop.org standard
- improve: enable MPV support by default, prefer MPV over QtMultimedia by default
- improve: Exiv2: managing BMFF support
- improve: file dialog: folder follows main image folder when image opened from command line
- improve: file dialog: do not select first entry by default after new folder has been loaded
- improve: file dialog: elide long filenames in the middle
- improve: file dialog: when mouse cursor leaves fileview reset current index
- improve: find and link to 'Concurrent' module
- improve: Windows: window handling when window decoration disabled keeps window accessible
- fix: handling of Escape key
- fix: execution of external shortcuts
- fix: caching thumbnails of images inside archives
- fix: correctly removing old animated images from model (freeing up memory)
- fix: double click on image no longer triggers background action
- fix: window manager titles in wallpaper element were unclickable
- fix: Windows: disable Trash feature when using Qt < 5.15
- fix: Windows: deleting/moving animated images avoiding file locking issues


Release 3.1 - 2023-03-07
----------------------------
- add: 'scale and crop' preview images in file dialog
- add: 'scale and crop' thumbnails to fill thumbnail square
- add: option to blur elements in background
- add: option to reset session when hiding to system tray
- add: option to always load images at actual scale (incl. shortcut to toggle setting)
- add: option to automatically hide status info and/or window buttons if not needed
- add: enable BMFF meta format in Exiv2 if available and enabled
- improve: handling of mouse wheel
- improve: uniform context menus
- improve: managing external shortcuts
- improve: managing custom context menu entries
- improve: file count in file dialog when folder icon is very light
- improve: make splitview handle in file dialog stand out more
- improve: breadcrumbs dropdown folder list
- improve: file dialog layout when window is small
- improve: specify better default Windows font
- fix: sorting of files/folders in file dialog
- fix: visual glitches in file dialog
- fix: specifying font sizes throughout interface


Release 3.0 - 2023-01-30
----------------------------
- add: shortcut: load random image in folder
- add: filedialog: forward/backward mouse button navigates through history
- add: filedialog: access settings manager
- improve: file dialog: use native path separators
- improve: file dialog: improve subfolder listing
- improve: file dialog: breadcrumbs handling
- improve: file dialog: up/down arrows in icon view moves rows up/down
- improve: right click and context menus
- improve: custom menu entries (icons, path, etc.)
- improve: histogram: support for images other than 32bit
- improve: face tagger: use click-and-draw instead of click-then-draw to mark new faces
- improve: face tagger:  preserves other meta data
- improve: performance and resilience for RAW images
- improve: structure and rendering of SVG icons
- fix usage of file URI scheme
- many more bug fixes and improvements


Release 2.9.1 - 2022-09-05
----------------------------
- fix: language files missing
- fix: network path handling on Windows


Release 2.9 - 2022-09-01
----------------------------
- add/improve: new status information labels
- improve: always attempt loading of Exiv2 data
- improve: option to move meta data back behind screen edge
- improve: replace PNGs icons by SVGs for better scaling
- improve: new filetype and backup icons
- improve: small interface updates
- improve: switch from deprecated appdata to metainfo
- new shortcuts: __fullscreenToggle, __fitInWindow
- fix: sorting of files in file and folder model
- fix: selection of certain localizations
- fix: calculation of size of pixmap cache
- fix: preserve network paths on Windows
- fix: loading favorited network location on Windows
- fix: proper default filename for exporting settings on Windows
- fix: visibility of slideshow controls
- other smaller bug fixes and improvements


Release 2.8 - 2022-07-31
----------------------------
- file dialog: preview image can be blurred and/or its colors muted
- file dialog: preview image can be loadedin low (fast) and high (slower) resolution
- file dialog: option to hide tooltip with file details
- file dialog: reworked context menu of fileview
- file dialog: tooltip with file details
- slideshow: fix next/prev buttons during slideshow when slideshow paused
- slideshow: controls turned into floating buttons at bottom center
- shortcuts: support for double clicks
- navigation: add navigation buttons to window buttons
- navigation: add zoom to/from setting
- navigation: add min/max zoom range
- navigation: option to enable/disable window decoration by clicking outside visible image
- main menu: restyled and regrouped, complementary to context menu
- context menu: restyled and regrouped, complementary to main menu
- metadata: turn into floating element, not hiding behind edge anymore
- file formats: support for Adove Illustrator (AI) file format
- startup: validate values of some settings, ensuring they fall within a valid min/max range
- interface: pause animated image when element opened on top
- interface: raise window properly when needed
- interface: startup background text message font size follows window size
- interface: option to automatically pop out elements if window is too small
- interface: option to set different overlay color in fullscreen
- Windows: open in default folder
- Windows: loading of images located on network drives
- Windows: trash support (Qt >= 5.15)
- Windows: support setting as wallpaper
- Windows: explicitly use OpenGLES
- general UI updates and color adjustments


Release 2.7 - 2022-06-10
----------------------------
- add: support for libvips image library
- add: support for libmpv video library
- add: advanced sorting by luminosity
- add: obtain configuration visually (About) and through command line (--show-info)
- improve: reworked main menu with collapsible sections
- improve: better performance of obtaining image size info
- fix: mimetypes where never checked
- fix: hiding of viewer mode button when shortcut used
- various improvements and fixes under the hood


Release 2.6 - 2022-04-07
----------------------------
- add new image formats: ani, dfont, g4, heic/heif, otf, pfa/pfb, pgx, qoi, sixel
- add: new transitions: explosion, implosion, rotation, random
- add: advanced sorting (including shortcuts) by: resolution, dominant color, average color
- add: more filter options: file name/extension, resolution, file size
- add: print support
- add: option to always show 'closing x'
- improve: general performance improvements
- remove no longer supported image formats: cgm, fig, fpx, flif, gv, sid
- fix: update with GraphicsMagick caused crash
- fix: fully hide labels if none are set to be shown


Release 2.5 - 2022-01-05
----------------------------
- add: chromecast support (using pychromecast)
- add: new startup checks
- add: new dialog informing user of new install/update
- add: convert settings, shortcuts, and contextmenu from file based to database based
- add: command line option to check and attempt to fix configuration
- add: command line option to reset settings/shortcuts to defaults
- add: dialog to show debug/log messages
- add: second desktop file for standalone mode
- improve: better handling of threading for loading images
- improve: scrolling by mouse no longer flicks view resulting in better handling
- improve: handling of imageformats
- improve: use image providers for setting background image
- improve: reorder mainmenu entries
- improve: copying of image to clipboard
- improve: default startup message, don't show file dialog automatically
- improve: context menu now standalone window and thus not confined to PhotoQt window
- improve: graceful fail when ffmpegthumbnailer not available for video files
- improve: filename inside archives shown on labels in mainview
- improve: enable build with Exiv 0.25
- improve: 'Escape' by default calls __open
- fix/improve: export/import of old and new backup files
- fix: settingsmanager, handling of modal windows
- fix: picking color did not handle the absence of transparency well
- fix: external shortcuts close PhotoQt when 'close' option set
- fix: zoom-to-position failed in multi-monitor setup when last-left monitor is not used
- fix: executing external app by shortcut failed handling placeholders
- fix: slideshow with many images in many subfolders
- fix: escape html tags in filenames shown on tooltips/labels


Release 2.4 - 2021-10-22
----------------------------
- add: zoom/pinch to position
- add: click on left/right half of empty area around image can load prev/next image
- add: option to exclude directories from caching/preloading
- add: custom filetype icons
- improve: switch default shortcuts for __copy and __clipboard
- improve: script to generate data (filetype icons, windows installer script, etc.)
- fix: loading of metadata
- fix: replacing placeholders in external shortcuts
- fix: handling of --thumbs/--no-thumbs at startup
- fix: reacting to changes to current folder/image
- fix: change wheel up/down to proper directions
- windows: make videos playback work on Windows
- windows: add to software section in settings
- windows: fix loading userplaces
- windows: new installer


Release 2.3 - 2021-06-14
----------------------------
- add: context menu (subset of mainmenu options), assign right button to it (if not already in use)
- add: new shortcuts manager
- add: command line option to enable/disable system tray
- add: new internal shortcuts: __viewerMode, __showThumbnails, __showMainMenu,
       __showMetaData, __quickNavigation, __showFaceTags, __keepMetaData, __contextMenu
- add: restore default configuration, accessible via 'advanced' button in settings manager
- add: support of JPEG XL format (if qt plugin installed)
- improve: calling PhotoQt without command line arguments when hidden assumes '--show'
- improve: use arrows to indicate direction in mouse gestures
- improve: closing 'x' hidden unless fullscreen or window decoration disabled
- improve: new format for saving shortcuts
- improve: handling of command line options
- improve: keeping track of mouse position
- fix: load translations for command line help message
- fix: artifacts in rendered text for scale<1
- fix: loading rar archives with unrar with non-Latin characters in filenames
- fix: wrong datatype used for PixmapCache property (was bool but should be int)
- fix: mirror property of scaled down versions follows main image


Release 2.2 - 2021-06-07
----------------------------
- add: viewer mode for documents/archives, activated through button near top left corner of screen
- add: quick navigation buttons (added with touchscreens in mind)
- add: show filename in window title
- add: show rotation angle in quick info labels
- add: new button to enter/exit fullscreen mode near top right corner of screen
- add: show 'unsupported' feedback when trying to tag faces in unsupported file type
- add: show 'nothing found' message when filter returns nothing
- add: new PQButton element
- add/improve: various touch ups and improvements in file dialog, new 'go up a level' button
- add/improve: Windows build shows 'unsupported' message instead of doing nothing
- improve: reworked file/folder model, faster and more consistent than before
- improve: window decoration always visible by default
- improve: checkbox uses tickmark instead of 'x' for showing checked state
- improve: limit number of subfolder in slideshows (if enabled) to 100 to avoid getting stuck
- improve: Windows build no longer depends on QtWinExtras
- fix: handling of command line options
- fix: some caching locations pointed to wrong directory
- fix: handling of single quotation marks in filenames
- fix: Windows build properly handles drive letters
- fix: Windows build properly cleans path
- various smaller bug fixes and improvements all over the place


Release 2.1.1 - 2021-02-06
----------------------------
- fix: revert default from ImageMagick back to GraphicsMagick (as it was before 2.1)
- fix: sort images in folder when path passed on to PhotoQt via command line
- fix: under certain circumstances the directory itself would be added as final 'image'
- fix: first entry in history of file dialog was always set to home directory
- fix: crypt key (used e.g. for handling Imgur authentication) now based off hostname
- fix: back button for history in file dialog barely clickable


Release 2.1 - 2021-01-30
----------------------------
- improve: image format handling (sqlite based)
- improve: loading of image files
- improve: startup speed when PhotoQt has not been either updated or freshly installed
- improve: handling of popout states
- improve: shortcut handling when popout window activated
- improve: make it easier to hit 'close' button top right of main interface without triggering menu
- improve: files in a folder are filtered more efficiently
- improve: detection of previously chosen languages
- improve: reorganizing of handling methods
- add: welcome screen
- add: ImageMagick support (choice between GraphicsMagick and ImageMagick possible)
- add: small buttons to quickly toggle popout status of elements
- add: proper window titles for popout windows
- add: slideshow can include images in subfolders
- add: element to convert images into different format
- fix: memory leak when loading images with Qt
- fix: caching images
- fix: sometimes thumbnail would be loaded instead of full image
- fix: image are loaded asynchronously, without blocking main interface


Release 2.0 - 2020-12-16
----------------------------
- Complete re-write, minimum Qt version now 5.9
- add: more image transitions
- add: pop out elements
- add: hide cursor when not moved
- add: video support
- add: support for AVIF file format
- add: sort images by timestamp stored in exif meta data
- add: better threading of thumbnail creation
- improve: rewritten image engine
- improve: raw thumbnails are loaded from metadata (where available)
- improve: new element to open files
- improve: new settings manager with cleaner interface
- improve: new 'loading' indicator
- improve: fewer/no workarounds necessary due to re-write


Release 1.7.1 - 2018-06-03
----------------------------
- Fix: Animated images would not load
- Fix: The more images in a directory the slower PhotoQt would load first image
- Fix: Deleting an image would lead to infinite 'loading' indicator
- Fix: List of releases in appdata file was in reverse order
- Add: Show 'busy' cursor while loading a Loader item


Release 1.7 - 2018-05-15
----------------------------
- Add: proper support for formats supported by KDE image plugins
- Add: FreeImage image library
- Add: DevIL image library
- Add: Poppler (for: PDF (inline or document viewer mode))
- Add: libarchive (for: comic book archives, ZIP, RAR, 7ZIP, TAR)
- Add: unrar (Unix-only) (for: better RAR support)
- Add: Detect images also by MIME type and not only by file ending
- Add: Detect, display and manage people tags (stored in XMP metadata)
- Add: Current Zoom level to quick info label
- Add: Setting to adjust step size of zoom
- Add: Basic Window Management (using quick info labels)
- Improve: GraphicsMagick speed
- Improve: Usability of PhotoQt on small screens
- Improve: More efficient and compact fileformats handling
- Fix: Trash for files on removable drive
- Fix: Masking image display shown when needed
- Fix: many small bugs
- Improve: overall speed and responsiveness


Release 1.6 - 2018-02-20
----------------------------
- Re-structuring of code, taking better advantage of QML property bindings
- Hiding most elements behind Loader items for faster start-up
- Add: proper touchscreen support
- Add: Uploading of images to imgur.com
- Add: Copy images to clipboard
- Add: Ability to freely move main image
- Add: Split 'ThumbnailKeepVisible' setting into 1) always visible, 2) visible when image not zoomed
- Add: Export/Import configuration and shortcuts
- Add: Handle case of directory passed on command line (instead of image)
- Add: Transparency marker option
- Add: one shortcut for multiple functions
- Change: Default shortcuts set (e.g., default shortcut for settings managernow 'p')
- Redo: 'Open File' element, more versatile and reliable
- Add/Change: Open File now has two hover preview modes: quick (uses thumbnail) or full
- Add/Change: Left pane of Open File element can be hidden (hides if nothing is there or window is resized rather small)
- Redo: New 'loading image' indicator
- Fix: rotating very wide images properly fits them into the window
- Fix: so many bugs along with re-structuring they cannot be counted
- Fix: more bugs
- Fix: and more bugs
- Fix: and more bugs


Release 1.5.1 - 2017-01-17
----------------------------
- Replace: Custom histogram drawing implementation (removal of QtCharts dependency)
- Remove: QtQuick.Window and QtQuick.Dialogs dependencies


Release 1.5 - 2017-01-11
----------------------------
- Add: new shortcuts handling, including mouse/touch gestures
- Add: histogram (colour and greyscale)
- Add: Watch images/directory for changes and update if one is detected
- Add: option to keep zoom/rotation/mirror when switching images
- Add: filename and image position to metadata element
- Add: exit button to mainmenu element
- Add: re-open last used image on startup
- Fix: starting new version of photoqt with image passed on remembers and opens image after welcome message
- Fix: prevent possible exiv2 crash
- Fix: quickinfo labels move to the right when metadata is set to non-floating
- Fix: image scaling bug when window size is small
- Fix/improve: display properly scaled down version when not zoomed -> better display quality
- Fix/improve: image engine
- Removed/Replaced: option to remember zoom/rotation/mirror on a per image basis
- Remake: new thumbnailbar, letting qml handle more of it, better performance but fewer options
- Fix: many bugs, small and large...


Release 1.4.1.1 - 2016-09-11
----------------------------
- Important updates to appdata.xml file for inclusion in software center


Release 1.4.1 - 2016-06-01
----------------------------
- Fix: External Shortcuts aren't working
- Fix: Detecting a key combination for a shortcut didn't work when a language other than English was set
- Fix: Disabling of thumbnails wasn't preserved across sessions
- Fix: Not possible to change setting for Extras filetypes (xcf and psd/psb)
- Fix: Deleting images that had non-Latin characters in their filepath/filename didn't work
- Fix: Pressing the 'Enter' key in a CustomLineEdit went to a second line
- Fix: Renaming a file didn't reload the directory or hide the 'Rename' element
- Fix: Add 'missing' photoqt.appdata.xml file to source tree
- Fix: Impossible to use '+' (normal and keypad) for shortcuts
- Fix: Resizing PhotoQt in window mode didn't adjust the width/height of the image container properly
- Fix: Triggering 'floatable' mode of MetaData element didn't adjust width/height of image container
- Fix: RAW: PhotoQt would always load at most a half-sized image instead of the full one
- Fix: Handling of non-Latin characters faulty in certain cases
- Fix: PhotoQt sometimes would load the thumbnails with a higher priority than the main image
- Fix: Database info in settings manager didn't update automatically after cleaning/emptying database
- Fix: When loading a folder, thumbnails sometimes wouldn't start loading automatically
- Fix: RAW fileformats are not enabled by default (when compiled with LibRaw support)
- Add: Shortcut to hard-delete a file directly, by-passing the confirmation element
- Updated some languages


Release 1.4 - 2016-05-17
----------------------------
- Re-designed main interface
- Re-design settings manager, streamlining interface
- Re-written shortcuts management (I know, it's part of the settings manager mentioned above, but it's a huge improvement)
- Re-written image engine
- Improvement: Custom* elements have been extended for higher customisability
- Improvement: Enable optimisations when compiling
- Improvement: Better startup-checks (separate namespace and files)
- Add: Improved key navigation for elements
- Add: Support for most RAW image formats (using Libraw)
- Add: Custom element for opening files
- Add: Additional metadata information
- Add: Width of mainmenu and metadata element can be adjusted by click-and-drag
- Add: Autotransform is used (for Qt >= 5.5) if enabled for better performance/quality
- Add: Animate rotation/zooming
- Add: Tooltips all over the place
- Add: Shortcut notifier informing user of what shortcut navigation is possible
- Add: Blur of background image (NOT desktop background) when element is open
- Add: 'Loading' gif when image takes more than 500ms to load
- Add: Experimental support for touchscreens
- Add: Custom cache of displayed images, fully adjustable
- Change: Turn metadata element into full-height bar on left edge
- Change: Faulty/Unexpected metadata cannot cause a crash anymore (try/catch)
- Change: Metadata non-floatable, i.e., permanently shown, resizes main image element
- Change: Combine mainmenu and context-menu into full-height on right edge (removing Quicksettings)
- Change: Use Qt's QCommandLineParse class for simple handling of command line (and common look with other Qt apps)
- Change: Use proper XDG folders for configuration/data (auto migration at first startup)
- Change of behaviour: Closing PhotoQt using window manager now immediately quits PhotoQt (and not first 'only' closes any possibly opened element)
- Fix: Spaces in filenames are handled properly now when passing to external app
- Fix (for Mac): current screen follows mouse pointer
- Fix: many, many bugs
- Windows: Several small fixes specifically for Windows systems


Release 1.3 - 2015-07-27
----------------------------
- COMPLETE RE-WRITE IN QML
- Fixed numerous bugs along the way
- Added several new features
- Ensured existing features are working as expected


Release 1.2.1 - 2015-06-15
----------------------------
- Fix: Transitioning half-transparent images caused issues
- Fix: Wheel Sensitivity (detect wheel direction change)
- Fix: Store window geometry in proper folder
- Fix: Set default values to global variables (fixes persistent 'No file loaded' label in metadata widget)
- Fix: Properly quit PhotoQt (issue in some WMs, stale process would remain)
- Fix: Check for which imagereader to use
- Fix: Treat symlinks to images as own image (fixes weird behaviour)
- Add: Option to completely disable tray icon


Release 1.2 - 2015-01-17
----------------------------
- GraphicsMagick: More thorough testing and fixing
- Intelligent detection of supported fileformats on first start
- Colour filetype tiles of unsupported formats orange (qt formats only)
- Added better SVG support
- Added XCF support (depending on XCFtools)
- Added PSB/PSD support (depending on libqpsd)
- Smart preloading of folder, better support for large directories (15,000+ files)
- Add sorting criteria for files (name, natural name, filesize, date)
- Fix&Improve: Restore support for Trash on Linux
- Re-worked thumbnail handling: faster, more reliable, new "smart thumbnails" mode
- Option to stay centered on active thumbnail
- Dynamically detect supported context menu entries
- Option to switch between close/not close when selecting context menu entry
- Remember zoom levels/rotation per session
- Option to fit smaller images in window
- Improved handling of windowed/fullscreen mode
- Window always stays on top
- Normal/Fancy look for closing 'x' top right
- Automatic language detection on first start-up (system locale)
- Change: Main animation is now 'fade-in' (+Possibility to disable altogether)
- Wheel sensitivity settings
- Opt-in to High-DPI pixmaps (Qt >= 5.4.0)
- Fix: Proper handling of window flags
- Re-ordering of settings (basic and advanced category)
- Re-ordering and extending of quicksettings
- Fix: Composite detection (not possible in Qt5 on Linux)
- Loop and Shuffle option in Slideshow
- Fix: Scaling preserves Exiv metadata
- Many fixes, improvements, and removal of quite a bit of redundant code


Release 1.1.0.1 - 2014-10-13
----------------------------
- Critical Fix: PhotoQt crashed on 32 Bit systems


Release 1.1 - 2014-10-12
----------------------------
- PhotoQt now based on Qt5
- Phonon replaced by QMultimedia
- Rotations/Flipping stored per session (nothing is saved permanently in any files)
- Filter images in current directory by filename/extension
- Scaling images (permanent change)
- Faded in widgets code moved to own class (massive code simplification)
- Fade-in now starts at the top of the screen
- Quick Settings (fade-in widget on the right)
- Fake Transparency (background) now supported for any number of screens
- CMake updates translation files on the fly (handy for translators)
- fix: restore from system tray preserves fullscreen
- fix: context menu converted to 'normal' shortcut
- fix: possible to select background image
- fix: saving settings no longer corrupts session wide list of known file formats
- many improvements to custom widget classes (added methods for better styling, etc.)
- several visual mock-ups (see yourself)
- ... and many, many more bugs were fixed, codelines simplified, improvements here and there done - too many to recall all of them...


Release 1.0 - 2013-08-11
----------------------------
- Photo renamed to PhotoQt
- New logo (made necessary by name change)
- Use of GraphicsMagick (hence support of 80+ file types)
- Possibility at compilation time to disable use of GraphicsMagick, Exiv2, Phonon
- Significantly faster start-up (on average more than 7 times faster)
- Revamped style of most widgets
- Added window mode (with and without window decorations)
- Set-as-Wallpaper function
- Dropdown menu updated and image manipulation functions moved to image context menu
- Smart context menu options
- Improved thumbnail handling and view
- Dynamic thumbnail creation (only create those thumbnails currently visible)
- Possibility to write resolution on thumbnails (in order to use this you have to remove thumbnails of older versions)
- Faster image and directory loading
- Improved fading between images
- Locale detection when no language is set
- Natural sort of images (i.e. image10.jpg comes after image9.jpg)
- Many code improvements 'under the hub' for better, faster and more reliable image handling
- ... and a few more things that I can't think of anymore ...


Release 0.9.1 -2013-01-22
----------------------------
- FIXED: Open image by clicking on it didn't work
- FIXED: Start in system tray resulted in some annoying behaviour
- FIXED: Rotation according to exif data was done the wrong way round (anti-clockwise instead of clockwise)
- ADDED: verbose mode (start photo with "--v" or "--verbose") -- Caution: produces a lot of output!


Release 0.9 -2013-01-18
----------------------------
- Completely re-written and re-structured code
- Mostly new and improved Look
- Many more Settings
- Better Image Handling
- Better Thumbnail Implementation
- Better Exif Handling
- Better Shortcut Handling
- Added Slideshow Feature
- Faster Startup
- Removed custom "Open File" dialog for now (needs a lot more work, just not ready yet...) :(
- More command line options (run 'photo --help' for overview)
- Many bugs fixed/avoided
- ... and sooo much more ...


Release 0.8.2 - 2012-12-13
----------------------------
- New and updated languages
- Small fix for desktop-file to make it possible to select it as default image viewer on some platforms


Release 0.8.1.2 - 2012-11-09
----------------------------
- FIXED: A click anywhere on the main image area would cause Photo to crash


Release 0.8.1.1 - 2012-11-08
----------------------------
- Important fix of CMakeLists.txt. It installed some icons in /usr/icons instead of /usr/share/icons


Release 0.8.1 - 2012-11-07
----------------------------
- FIXED: mouse shortcuts for external commands didn't work
- FIXED: text labels (like filename, etc.) didn't stay hidden in certain circumstances
- IMPROVED: CMakeLists.txt was improved to be better adaptable to different setups
- IMPROVED: detection of currently set translation better generalised
- ADDED: 6 new languages (Arabic, Norwegian (Nynorsk), Russian, Turkish, Ukrainian, Chinese)


Release 0.8 - 2012-07-19
----------------------------
- Allow only one instance of Photo at a time - a new execution of the photo binary re-opens the already running one
- Photo can be controlled through the command line (although the amount of commands possible are still limited
- Photo can make use of the system tray, and can also start minimised to the tray -> instant availability
- Slightly restyled and enhanced dropdown menu
- Photo supports now (still very basic) printing functionality
- A click on a GPS location in the exif widget opens the position on an online map service (e.g. google maps or bing maps)
- New experimental opening dialog - STILL BETA, lacking many functions and reliability - USE AT OWN RISK!
- Many other smaller changes


Release 0.7.1.1 -2012-03-26
----------------------------
- Added Serbian Translation by Mladen Pejaković


Release 0.7.1 - 2012-03-23
----------------------------
- Updating Greek translation
- Looping through images (can be turned off)
- Possibility to jump to first/last image in folder (shortcut)
- First implementation of smooth transitions between images (still beta!!)
- Fixed Bug: Hiding Thumbnails works now
- Improved start-up time (window is build up a little faster now)


Release 0.7 - 2012-03-08
----------------------------
- Rotating/flipping of image as stored in its exif data
- Possibility to set and adjust mouse actions as shortcuts
- Make Thumbnails moveable to top
- Internal Shortcuts made easier accessible
- More than one modifier (Ctrl/Shift/Alt) can now be used for shortcuts
- Flipping of images
- Zoom to actual size
- Improved speed of rotating images
- Scrolling at any point on the thumbnail bar scrolls horizontally
- Fixed Bug: On dual-screen systems, if the other screen had bigger dimensions than current one -> image wouldn't load
- Fixed Bug: Only one shortcut could be added per session, or Photo crashed
- Other smaller changes


Release 0.6.1 - 2012-02-14
----------------------------
- Added better desktop integration (i.e. desktop file and icons)
- Fixed exiv2 bug, that could cause Photo to crash
- Switched to cmake for building


Release 0.6 - 2012-02-09
----------------------------
- Support for animated images
- Centered thumbnail view
- Exif information (using exiv2 library)
- Extended/Changed Thumbnail caching
- New About widget
- Logo (Thanks to Archie Arevalo)
- New thumbnail hover effect
- Possibility to hide labels in main display area
- Adjusted and extended settings widget
- many smaller code improvements


Release 0.5 - 2012-01-21
----------------------------
- Rotating of images
- Improved zooming
- Added file handling (rename,copy,move,delete)
- Optional feature: Click on empty (grey) background will close Photo
- Fixed hover effect for thumbnails
- Fixed hover effect for shortcuts
- Fixed Dual-Screen Monitor Bug
- Other small code changes


Release 0.4 - 2012-01-10
----------------------------
- Added zooming of images
- Replaced menu button by nicely animated menu
- Different code improvements that might increase the speed of Photo slightly
- Other small code changes



Release 0.3.0.1 - 2011-12-31
----------------------------
- Added Greek Translation by Dimitrios Glentadakis



Release 0.3 - 2011-12-27
----------------------------
- Rewritten and Restyled Settings Window
- Improved Shortcut handling
- Faster thumbnail (re-)creation
- Replaced buttons top right by single menu buttons
- Translation into German
- Several small changes and code improvements



Release 0.2 - 2011-12-16
----------------------------
- Improved Thumbnail View (now more interactive)
- Thumbnail Cache (freedesktop.org compliant)
- Use of QImageReader to increase performance
- Composite made an option in settings
- Thumbnail size can be adjusted
- Implement function to open a new file from inside photo
- many, many small bug fixes and code improvements



Release 0.1 - 2011-12-08
----------------------------
First initial Release
